%define major        1
%define libname      %mklibname gl2ps %{major}
%define libname_virt gl2ps
%define develname    %mklibname gl2ps -d


Summary:        An OpenGL to PostScript printing library
Name:           gl2ps
Version:        1.4.2
Release:        %mkrel 4
License:        LGPLv2+ or GL2PS
Group:          System/Libraries
URL:            https://www.geuz.org/gl2ps/
Source0:        https://www.geuz.org/gl2ps/src/%{name}-%{version}.tgz
Patch0:         gl2ps-1.4.2-soversion.patch
Patch1:         gl2ps-1.4.2-so-link-fix.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %{libname}
Summary:        An OpenGL to PostScript printing library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{libname_virt} = %{version}-%{release}

%description -n %libname
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %develname
Summary:        Header files for GL2PS library
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       GL-devel
Provides:       gl2ps-devel = %{version}-%{release}


%description -n %develname
Header files for GL2PS library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

find %{buildroot}%{_libdir} -name '*.a' -delete

%files -n %libname
%license COPYING.GL2PS COPYING.LGPL
%doc README.txt
%{_libdir}/libgl2ps.so.%{major}
%{_libdir}/libgl2ps.so.%{version}

%files -n %develname
%doc gl2ps.pdf gl2psTest*.c
%{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h
%{_docdir}/gl2ps/


%changelog
* Fri Dec 27 2024 daviddavid <daviddavid> 1.4.2-4.mga10
+ Revision: 2130689
- fix cmake compile command

* Sun Mar 27 2022 umeabot <umeabot> 1.4.2-3.mga9
+ Revision: 1829094
- Mageia 9 Mass Rebuild

* Wed Dec 15 2021 wally <wally> 1.4.2-2.mga9
+ Revision: 1762210
- rebuild to get latest version available on mirrors

* Sat Jul 04 2020 ghibo <ghibo> 1.4.2-1.mga8
+ Revision: 1601888
- Update to release 1.4.2

* Fri Jul 03 2020 ghibo <ghibo> 1.4.0-4.mga8
+ Revision: 1601727
- Use pkgconfig(libglvnd) instead of pkgconfig(glvnd)
- Use pkgconfig(glvnd) instead of GL-devel
- Use GL-devel instead of pkgconfig(gl)
- Rebuilt against newer GL libs

* Thu Feb 13 2020 daviddavid <daviddavid> 1.4.0-3.mga8
+ Revision: 1512717
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1297902
- Mageia 7 Mass Rebuild

* Tue May 02 2017 eatdirt <eatdirt> 1.4.0-1.mga6
+ Revision: 1098634
- Upgrade to version 1.4.0

* Mon Feb 08 2016 umeabot <umeabot> 1.3.8-6.mga6
+ Revision: 947479
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-5.mga5
+ Revision: 739264
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-4.mga5
+ Revision: 679606
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.3.8-3.mga4
+ Revision: 539610
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 1.3.8-2.mga4
+ Revision: 492531
- add virt provides

* Mon Oct 07 2013 joequant <joequant> 1.3.8-1.mga4
+ Revision: 492442
- spec group fixes
- imported package gl2ps

